git: 98b13e25fd9c - main - stress2: Handle different spelling of "superblock"

From: Peter Holm <pho_at_FreeBSD.org>
Date: Fri, 19 Aug 2022 09:43:01 UTC
The branch main has been updated by pho:

URL: https://cgit.FreeBSD.org/src/commit/?id=98b13e25fd9c773032e8ea6667ffbf65d244ac1f

commit 98b13e25fd9c773032e8ea6667ffbf65d244ac1f
Author:     Peter Holm <pho@FreeBSD.org>
AuthorDate: 2022-08-19 09:39:28 +0000
Commit:     Peter Holm <pho@FreeBSD.org>
CommitDate: 2022-08-19 09:39:28 +0000

    stress2: Handle different spelling of "superblock"
---
 tools/test/stress2/misc/fsck.sh | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/tools/test/stress2/misc/fsck.sh b/tools/test/stress2/misc/fsck.sh
index 826c31f733c3..972150dc6fac 100755
--- a/tools/test/stress2/misc/fsck.sh
+++ b/tools/test/stress2/misc/fsck.sh
@@ -86,13 +86,13 @@ chk() {
 	waccess=0
 	fsck_ffs -fy $1 > $log 2>&1
 	r=$?
-	if grep -qE "Cannot find file system superblock|Superblock check-hash failed" $log; then
+	if grep -qiE "super-?block.*failed" $log; then
 		for b in $backups; do
 			echo "Using alternate SB $b"
 			asbs=$((asbs + 1))
 			fsck_ffs -b $b -fy $1 > $log 2>&1
 			r=$?
-			grep -qE "Cannot find file system superblock|Superblock check-hash failed" $log ||
+			grep -qiE "super-?block.*failed" $log ||
 			   break
 		done
 		usedasb=1